﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace DockingManagerTesting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        int i = 0;
        public MainWindow()
        {
            InitializeComponent();
            //SkinStorage.SetVisualStyle(Tab, "Office2010Blue");
            Tabs = new ObservableCollection<DockItem>();


            Task.Delay(TimeSpan.FromSeconds(3)).ContinueWith(ant =>
            {
                Dispatcher.Invoke(() =>
                {
                    Tabs.Add(new DockItem() { Header = "Empty Start item", State = DockState.Dock });
                    Tabs.Add(new DockItem() { Header = "Second Empty Start item", State = DockState.Document });
                    Docking.UpdateLayout();
                });

            });
            this.DataContext = this;
        }

        private ObservableCollection<DockItem> _tabs;

        public ObservableCollection<DockItem> Tabs
        {
            get
            {
                return _tabs;
            }
             set
            {
                _tabs = value;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            i++;
            Tabs.Add(new DockItem() { Header = "Document"+i.ToString(), State = DockState.Document });
            Docking.UpdateLayout();
        }
    }
}
